<?php
/**
 * @file
 * sc_example_layout.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function sc_example_layout_views_default_views() {
  $export = array();

  $view = new view;
  $view->name = 'sc_resource_external_preview';
  $view->description = 'A collapsible preview of an external web page.';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'External resource preview';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'nothing' => 'nothing',
    'nothing_1' => 'nothing_1',
  );
  $handler->display->display_options['row_options']['separator'] = ' | ';
  $handler->display->display_options['row_options']['hide_empty'] = 0;
  $handler->display->display_options['row_options']['default_field_elements'] = 0;
  /* Field: Link in plain text */
  $handler->display->display_options['fields']['sc_externalresource_link']['id'] = 'sc_externalresource_link';
  $handler->display->display_options['fields']['sc_externalresource_link']['table'] = 'field_data_sc_externalresource_link';
  $handler->display->display_options['fields']['sc_externalresource_link']['field'] = 'sc_externalresource_link';
  $handler->display->display_options['fields']['sc_externalresource_link']['ui_name'] = 'Link in plain text';
  $handler->display->display_options['fields']['sc_externalresource_link']['label'] = '';
  $handler->display->display_options['fields']['sc_externalresource_link']['exclude'] = TRUE;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['external'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['alter']['html'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['sc_externalresource_link']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['sc_externalresource_link']['hide_empty'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['empty_zero'] = 0;
  $handler->display->display_options['fields']['sc_externalresource_link']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['sc_externalresource_link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['sc_externalresource_link']['type'] = 'link_plain';
  $handler->display->display_options['fields']['sc_externalresource_link']['settings'] = array(
    'width' => '100%',
    'height' => '480',
  );
  $handler->display->display_options['fields']['sc_externalresource_link']['field_api_classes'] = 0;
  /* Field: Resource preview */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['ui_name'] = 'Resource preview';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = 'Preview resource';
  $handler->display->display_options['fields']['nothing']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['path'] = '[sc_externalresource_link]?width=90%&height=90%&iframe=true';
  $handler->display->display_options['fields']['nothing']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['external'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['alt'] = 'Preview of %1';
  $handler->display->display_options['fields']['nothing']['alter']['link_class'] = 'colorbox-load';
  $handler->display->display_options['fields']['nothing']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nothing']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nothing']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nothing']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nothing']['hide_alter_empty'] = 0;
  /* Field: Resource link */
  $handler->display->display_options['fields']['nothing_1']['id'] = 'nothing_1';
  $handler->display->display_options['fields']['nothing_1']['table'] = 'views';
  $handler->display->display_options['fields']['nothing_1']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing_1']['ui_name'] = 'Resource link';
  $handler->display->display_options['fields']['nothing_1']['label'] = '';
  $handler->display->display_options['fields']['nothing_1']['alter']['text'] = 'Go to resource';
  $handler->display->display_options['fields']['nothing_1']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['nothing_1']['alter']['path'] = '[sc_externalresource_link]';
  $handler->display->display_options['fields']['nothing_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['external'] = 1;
  $handler->display->display_options['fields']['nothing_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['alt'] = '%1';
  $handler->display->display_options['fields']['nothing_1']['alter']['target'] = '_blank';
  $handler->display->display_options['fields']['nothing_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nothing_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nothing_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nothing_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nothing_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nothing_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nothing_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nothing_1']['hide_alter_empty'] = 0;
  /* Contextual filter: Viewed resource */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'Viewed resource';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = 1;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'sc_resource_external' => 'sc_resource_external',
  );
  $handler->display->display_options['arguments']['nid']['validate_options']['access'] = 0;
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;

  /* Display: Entity content */
  $handler = $view->new_display('entity_view', 'Entity content', 'entity_view_1');
  $handler->display->display_options['entity_type'] = 'node';
  $handler->display->display_options['bundles'] = array(
    0 => 'sc_resource_external',
  );
  $export['sc_resource_external_preview'] = $view;

  return $export;
}
