<?php

/**
 * @file
 * Declares a single action, making it safer to export the 'white belt' role.
 */

/**
 * Implements hook_rules_action_info(). 
 */
function sc_example_points_rules_action_info() {
  $actions = array(
    'load_white_belt_rid' => array(
      'label' => t('Load the role ID for white belt'),
      'group' => t('Skill Compass'),
      'base' => 'sc_example_points_load_white_belt',
      'provides' => array(
        'white_rid' => array(
          'label' => t('White belt role id'),
          'type' => 'list<integer>',
        ),
      ),
    )
  );
  return $actions;
}

/**
 * Action callback to fetch a list with a single value – the white belt role id.
 * @return type 
 */
function sc_example_points_load_white_belt() {
  // This function may seem rather silly. Actually, it is. It is used only for
  // fetching the white belt role it, so it can be set for new users. Exporting
  // a rule that sets a role hard-coded could result in security issues on sites
  // where role id is different than the one exported. That this is returned as
  // a list is just to get a bit more convenience when adding it to the list of
  // user roles.
  $white_rid = user_role_load_by_name('white belt')->rid;
  return array(
    'white_rid' => array($white_rid),
  );
}
