<?php
/**
 * @file
 * sc_resource_collection.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function sc_resource_collection_default_rules_configuration() {
  $items = array();
  $items['rules_sc_resource_collection_create'] = entity_import('rules_config', '{ "rules_sc_resource_collection_create" : {
      "LABEL" : "Create collection",
      "PLUGIN" : "rule set",
      "TAGS" : [ "Skill Compass" ],
      "REQUIRES" : [ "rules", "flag", "sc_resource_collection" ],
      "ACCESS_EXPOSED" : "1",
      "USES VARIABLES" : {
        "resources" : { "label" : "Resources", "type" : "list\\u003Cnode\\u003E" },
        "remove" : { "label" : "Remove resources from quicklist", "type" : "boolean" }
      },
      "RULES" : [
        { "RULE" : {
            "IF" : [ { "data_is" : { "data" : [ "remove" ], "value" : 1 } } ],
            "DO" : [
              { "LOOP" : {
                  "USING" : { "list" : [ "resources" ] },
                  "ITEM" : { "resource" : "Resource" },
                  "DO" : [
                    { "flag_unflagnode" : {
                        "flag" : "sc_resource_quicklist",
                        "node" : [ "resource" ],
                        "flagging_user" : [ "site:current-user" ],
                        "permission_check" : 0
                      }
                    }
                  ]
                }
              }
            ],
            "LABEL" : "Remove resources from quicklist"
          }
        },
        { "RULE" : {
            "DO" : [
              { "sc_resource_collection_prepopulate" : { "resources" : [ "resources" ] } }
            ],
            "LABEL" : "Redirect to collection creation"
          }
        }
      ]
    }
  }');
  return $items;
}
