<?php
/**
 * @file
 * sc_topicrelation.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function sc_topicrelation_views_default_views() {
  $export = array();

  $view = new view;
  $view->name = 'sc_topic_relations';
  $view->description = 'Lists topics related to a given topic.';
  $view->tag = 'default';
  $view->base_table = 'eck_sc_topicrelation';
  $view->human_name = 'Topic relations';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'This topic is a part of';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'mini';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '1';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'title' => 'title',
    'relation_strength_cache' => 'relation_strength_cache',
    'sc_topicrelation_strength' => 'sc_topicrelation_strength',
  );
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['row_options']['hide_empty'] = TRUE;
  /* No results behavior: No results text */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['ui_name'] = 'No results text';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = '(no topics)';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  /* Relationship: Target topic */
  $handler->display->display_options['relationships']['tid']['id'] = 'tid';
  $handler->display->display_options['relationships']['tid']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['relationships']['tid']['field'] = 'tid';
  $handler->display->display_options['relationships']['tid']['ui_name'] = 'Target topic';
  $handler->display->display_options['relationships']['tid']['label'] = 'Target topic';
  $handler->display->display_options['relationships']['tid']['required'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'tid';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Relation strength */
  $handler->display->display_options['fields']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['fields']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['fields']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['fields']['relation_strength_cache']['ui_name'] = 'Relation strength';
  $handler->display->display_options['fields']['relation_strength_cache']['label'] = '';
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['text'] = '([relation_strength_cache])';
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['external'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['html'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['relation_strength_cache']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['relation_strength_cache']['hide_empty'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['empty_zero'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['set_precision'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['precision'] = '0';
  $handler->display->display_options['fields']['relation_strength_cache']['format_plural'] = 0;
  /* Field: Vote widget */
  $handler->display->display_options['fields']['sc_topicrelation_strength']['id'] = 'sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['table'] = 'field_data_sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['field'] = 'sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['ui_name'] = 'Vote widget';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['label'] = '';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['sc_topicrelation_strength']['click_sort_column'] = 'vud_widget';
  /* Sort criterion: Strongest relation on top */
  $handler->display->display_options['sorts']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['sorts']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['sorts']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['sorts']['relation_strength_cache']['ui_name'] = 'Strongest relation on top';
  $handler->display->display_options['sorts']['relation_strength_cache']['order'] = 'DESC';
  /* Contextual filter: Source topic */
  $handler->display->display_options['arguments']['sid']['id'] = 'sid';
  $handler->display->display_options['arguments']['sid']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['arguments']['sid']['field'] = 'sid';
  $handler->display->display_options['arguments']['sid']['ui_name'] = 'Source topic';
  $handler->display->display_options['arguments']['sid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['sid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['sid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['sid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['sid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['sid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['sid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['sid']['validate_options']['types'] = array(
    'sc_topic' => 'sc_topic',
  );
  /* Filter criterion: Exclude negative relations */
  $handler->display->display_options['filters']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['ui_name'] = 'Exclude negative relations';
  $handler->display->display_options['filters']['relation_strength_cache']['operator'] = '>=';
  $handler->display->display_options['filters']['relation_strength_cache']['value']['value'] = '0';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['operator_id'] = 'relation_strength_cache_op';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['label'] = 'Relation strength cache';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['operator'] = 'relation_strength_cache_op';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['identifier'] = 'relation_strength_cache';
  /* Filter criterion: Topic relation: sc_topicrelation type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'isapartof' => 'isapartof',
  );

  /* Display: Top isapartof */
  $handler = $view->new_display('panel_pane', 'Top isapartof', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Top relations (is a part of)';
  $handler->display->display_options['pane_description'] = 'Displays non-negative "is a part of" connections to other topics.';
  $handler->display->display_options['pane_category']['name'] = 'Skill Compass';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'sid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Source topic',
    ),
  );

  /* Display: Top requires */
  $handler = $view->new_display('panel_pane', 'Top requires', 'panel_pane_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'This topic requires';
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Exclude negative relations */
  $handler->display->display_options['filters']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['ui_name'] = 'Exclude negative relations';
  $handler->display->display_options['filters']['relation_strength_cache']['operator'] = '>=';
  $handler->display->display_options['filters']['relation_strength_cache']['value']['value'] = '0';
  /* Filter criterion: Topic relation: sc_topicrelation type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'requires' => 'requires',
  );
  $handler->display->display_options['pane_title'] = 'Top relations (requires)';
  $handler->display->display_options['pane_description'] = 'Displays non-negative "requires" connections to other topics.';
  $handler->display->display_options['pane_category']['name'] = 'Skill Compass';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'sid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Source topic',
    ),
  );

  /* Display: All relations */
  $handler = $view->new_display('panel_pane', 'All relations', 'panel_pane_3');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'relation_strength_cache' => 'relation_strength_cache',
    'sc_topicrelation_strength' => 'sc_topicrelation_strength',
  );
  $handler->display->display_options['style_options']['default'] = 'relation_strength_cache';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'relation_strength_cache' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'sc_topicrelation_strength' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: No results text */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['ui_name'] = 'No results text';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'Sorry, no relations to show. :-/';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'tid';
  $handler->display->display_options['fields']['title']['label'] = 'Topic';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Relation strength */
  $handler->display->display_options['fields']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['fields']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['fields']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['fields']['relation_strength_cache']['ui_name'] = 'Relation strength';
  $handler->display->display_options['fields']['relation_strength_cache']['label'] = 'Relation strength';
  $handler->display->display_options['fields']['relation_strength_cache']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['relation_strength_cache']['precision'] = '0';
  /* Field: Vote widget */
  $handler->display->display_options['fields']['sc_topicrelation_strength']['id'] = 'sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['table'] = 'field_data_sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['field'] = 'sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['ui_name'] = 'Vote widget';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['label'] = 'Vote';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['sc_topicrelation_strength']['click_sort_column'] = 'vud_widget';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Source topic */
  $handler->display->display_options['arguments']['sid']['id'] = 'sid';
  $handler->display->display_options['arguments']['sid']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['arguments']['sid']['field'] = 'sid';
  $handler->display->display_options['arguments']['sid']['ui_name'] = 'Source topic';
  $handler->display->display_options['arguments']['sid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['sid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['sid']['title'] = 'Relations for %1';
  $handler->display->display_options['arguments']['sid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['sid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['sid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['sid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['sid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['sid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['sid']['validate_options']['types'] = array(
    'sc_topic' => 'sc_topic',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Strength limit */
  $handler->display->display_options['filters']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['ui_name'] = 'Strength limit';
  $handler->display->display_options['filters']['relation_strength_cache']['operator'] = '>=';
  $handler->display->display_options['filters']['relation_strength_cache']['exposed'] = TRUE;
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['operator_id'] = 'relation_strength_cache_op';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['label'] = 'Limit by relation strength';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['operator'] = 'relation_strength_cache_op';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['identifier'] = 'strength';
  /* Filter criterion: Relation type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['ui_name'] = 'Relation type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'isapartof' => 'isapartof',
    'requires' => 'requires',
  );
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Relation type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['pane_title'] = 'All relations';
  $handler->display->display_options['pane_description'] = 'Displays all connections to other topics.';
  $handler->display->display_options['pane_category']['name'] = 'Skill Compass';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'sid' => array(
      'type' => 'panel',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Source topic',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';
  $export['sc_topic_relations'] = $view;

  $view = new view;
  $view->name = 'sc_topic_relations_reverse';
  $view->description = 'Lists topics related to a given topic.';
  $view->tag = 'default';
  $view->base_table = 'eck_sc_topicrelation';
  $view->human_name = 'Reverse topic relations';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Sub topics';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'mini';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '1';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'title' => 'title',
    'relation_strength_cache' => 'relation_strength_cache',
    'sc_topicrelation_strength' => 'sc_topicrelation_strength',
  );
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['row_options']['hide_empty'] = TRUE;
  /* No results behavior: No results text */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['ui_name'] = 'No results text';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = '(no topics)';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  /* Relationship: Source topic */
  $handler->display->display_options['relationships']['sid']['id'] = 'sid';
  $handler->display->display_options['relationships']['sid']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['relationships']['sid']['field'] = 'sid';
  $handler->display->display_options['relationships']['sid']['ui_name'] = 'Source topic';
  $handler->display->display_options['relationships']['sid']['label'] = 'Source topic';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'sid';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Relation strength */
  $handler->display->display_options['fields']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['fields']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['fields']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['fields']['relation_strength_cache']['ui_name'] = 'Relation strength';
  $handler->display->display_options['fields']['relation_strength_cache']['label'] = '';
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['text'] = '([relation_strength_cache])';
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['external'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['alter']['html'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['relation_strength_cache']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['relation_strength_cache']['hide_empty'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['empty_zero'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['set_precision'] = 0;
  $handler->display->display_options['fields']['relation_strength_cache']['precision'] = '0';
  $handler->display->display_options['fields']['relation_strength_cache']['format_plural'] = 0;
  /* Field: Vote widget */
  $handler->display->display_options['fields']['sc_topicrelation_strength']['id'] = 'sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['table'] = 'field_data_sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['field'] = 'sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['ui_name'] = 'Vote widget';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['label'] = '';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['sc_topicrelation_strength']['click_sort_column'] = 'vud_widget';
  /* Sort criterion: Strongest relation on top */
  $handler->display->display_options['sorts']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['sorts']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['sorts']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['sorts']['relation_strength_cache']['ui_name'] = 'Strongest relation on top';
  $handler->display->display_options['sorts']['relation_strength_cache']['order'] = 'DESC';
  /* Contextual filter: Target topic */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['ui_name'] = 'Target topic';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['tid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['tid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['tid']['validate_options']['types'] = array(
    'sc_topic' => 'sc_topic',
  );
  /* Filter criterion: Exclude negative relations */
  $handler->display->display_options['filters']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['ui_name'] = 'Exclude negative relations';
  $handler->display->display_options['filters']['relation_strength_cache']['operator'] = '>=';
  $handler->display->display_options['filters']['relation_strength_cache']['value']['value'] = '0';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['operator_id'] = 'relation_strength_cache_op';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['label'] = 'Relation strength cache';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['operator'] = 'relation_strength_cache_op';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['identifier'] = 'relation_strength_cache';
  /* Filter criterion: Topic relation: sc_topicrelation type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'isapartof' => 'isapartof',
  );

  /* Display: Top includes */
  $handler = $view->new_display('panel_pane', 'Top includes', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Top relations (includes)';
  $handler->display->display_options['pane_description'] = 'Displays non-negative "is a part of" connections from other topics.';
  $handler->display->display_options['pane_category']['name'] = 'Skill Compass';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'tid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Target topic',
    ),
  );

  /* Display: Top subsequent */
  $handler = $view->new_display('panel_pane', 'Top subsequent', 'panel_pane_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'This topic leads to';
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Exclude negative relations */
  $handler->display->display_options['filters']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['ui_name'] = 'Exclude negative relations';
  $handler->display->display_options['filters']['relation_strength_cache']['operator'] = '>=';
  $handler->display->display_options['filters']['relation_strength_cache']['value']['value'] = '0';
  /* Filter criterion: Topic relation: sc_topicrelation type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'requires' => 'requires',
  );
  $handler->display->display_options['pane_title'] = 'Top relations (leads to)';
  $handler->display->display_options['pane_description'] = 'Displays non-negative "requires" connections from other topics.';
  $handler->display->display_options['pane_category']['name'] = 'Skill Compass';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'tid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Target topic',
    ),
  );

  /* Display: All relations */
  $handler = $view->new_display('panel_pane', 'All relations', 'panel_pane_3');
  $handler->display->display_options['enabled'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'relation_strength_cache' => 'relation_strength_cache',
    'sc_topicrelation_strength' => 'sc_topicrelation_strength',
  );
  $handler->display->display_options['style_options']['default'] = 'relation_strength_cache';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'relation_strength_cache' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'sc_topicrelation_strength' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: No results text */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['ui_name'] = 'No results text';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'Sorry, no relations to show. :-/';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'tid';
  $handler->display->display_options['fields']['title']['label'] = 'Topic';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Relation strength */
  $handler->display->display_options['fields']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['fields']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['fields']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['fields']['relation_strength_cache']['ui_name'] = 'Relation strength';
  $handler->display->display_options['fields']['relation_strength_cache']['label'] = 'Relation strength';
  $handler->display->display_options['fields']['relation_strength_cache']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['relation_strength_cache']['precision'] = '0';
  /* Field: Vote widget */
  $handler->display->display_options['fields']['sc_topicrelation_strength']['id'] = 'sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['table'] = 'field_data_sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['field'] = 'sc_topicrelation_strength';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['ui_name'] = 'Vote widget';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['label'] = 'Vote';
  $handler->display->display_options['fields']['sc_topicrelation_strength']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['sc_topicrelation_strength']['click_sort_column'] = 'vud_widget';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Source topic */
  $handler->display->display_options['arguments']['sid']['id'] = 'sid';
  $handler->display->display_options['arguments']['sid']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['arguments']['sid']['field'] = 'sid';
  $handler->display->display_options['arguments']['sid']['ui_name'] = 'Source topic';
  $handler->display->display_options['arguments']['sid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['sid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['sid']['title'] = 'Relations for %1';
  $handler->display->display_options['arguments']['sid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['sid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['sid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['sid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['sid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['sid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['sid']['validate_options']['types'] = array(
    'sc_topic' => 'sc_topic',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Strength limit */
  $handler->display->display_options['filters']['relation_strength_cache']['id'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['relation_strength_cache']['field'] = 'relation_strength_cache';
  $handler->display->display_options['filters']['relation_strength_cache']['ui_name'] = 'Strength limit';
  $handler->display->display_options['filters']['relation_strength_cache']['operator'] = '>=';
  $handler->display->display_options['filters']['relation_strength_cache']['exposed'] = TRUE;
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['operator_id'] = 'relation_strength_cache_op';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['label'] = 'Limit by relation strength';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['operator'] = 'relation_strength_cache_op';
  $handler->display->display_options['filters']['relation_strength_cache']['expose']['identifier'] = 'strength';
  /* Filter criterion: Relation type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_sc_topicrelation';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['ui_name'] = 'Relation type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'isapartof' => 'isapartof',
    'requires' => 'requires',
  );
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Relation type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['pane_title'] = 'All reverse relations (disabled)';
  $handler->display->display_options['pane_description'] = 'Displays all connections to other topics.';
  $handler->display->display_options['pane_category']['name'] = 'Skill Compass';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'sid' => array(
      'type' => 'panel',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Source topic',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';
  $export['sc_topic_relations_reverse'] = $view;

  return $export;
}
